import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { FormatSpecifierDescription } from "./FormatSpecifierDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class DataToolTipLayerDescription extends AnnotationLayerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private j8;
    get targetAxisRef(): string;
    set targetAxisRef(a: string);
    private fp;
    get useInterpolation(): boolean;
    set useInterpolation(a: boolean);
    private i9;
    get groupingMode(): string;
    set groupingMode(a: string);
    private i5;
    get actualGroupingMode(): string;
    set actualGroupingMode(a: string);
    private gj;
    get positionOffsetX(): number;
    set positionOffsetX(a: number);
    private gk;
    get positionOffsetY(): number;
    set positionOffsetY(a: number);
    private f3;
    get defaultPositionOffsetX(): number;
    set defaultPositionOffsetX(a: number);
    private f4;
    get defaultPositionOffsetY(): number;
    set defaultPositionOffsetY(a: number);
    private i7;
    get groupedPositionModeX(): string;
    set groupedPositionModeX(a: string);
    private i3;
    get actualGroupedPositionModeX(): string;
    set actualGroupedPositionModeX(a: string);
    private i8;
    get groupedPositionModeY(): string;
    set groupedPositionModeY(a: string);
    private i4;
    get actualGroupedPositionModeY(): string;
    set actualGroupedPositionModeY(a: string);
    private fo;
    get shouldUpdateWhenSeriesDataChanges(): boolean;
    set shouldUpdateWhenSeriesDataChanges(a: boolean);
    private ff;
    get includedSeries(): string[];
    set includedSeries(a: string[]);
    private fc;
    get excludedSeries(): string[];
    set excludedSeries(a: string[]);
    private fe;
    get includedColumns(): string[];
    set includedColumns(a: string[]);
    private fb;
    get excludedColumns(): string[];
    set excludedColumns(a: string[]);
    private kj;
    get valueFormatAbbreviation(): string;
    set valueFormatAbbreviation(a: string);
    private iz;
    get valueFormatMaxFractions(): number;
    set valueFormatMaxFractions(a: number);
    private i0;
    get valueFormatMinFractions(): number;
    set valueFormatMinFractions(a: number);
    private kl;
    get valueFormatMode(): string;
    set valueFormatMode(a: string);
    private kk;
    get valueFormatCulture(): string;
    set valueFormatCulture(a: string);
    private fq;
    get valueFormatUseGrouping(): boolean;
    set valueFormatUseGrouping(a: boolean);
    private km;
    get valueFormatString(): string;
    set valueFormatString(a: string);
    private fg;
    get valueFormatSpecifiers(): FormatSpecifierDescription[];
    set valueFormatSpecifiers(a: FormatSpecifierDescription[]);
    private g7;
    get valueRowMarginBottom(): number;
    set valueRowMarginBottom(a: number);
    private g8;
    get valueRowMarginLeft(): number;
    set valueRowMarginLeft(a: number);
    private g9;
    get valueRowMarginRight(): number;
    set valueRowMarginRight(a: number);
    private ha;
    get valueRowMarginTop(): number;
    set valueRowMarginTop(a: number);
    private fr;
    get valueRowVisible(): boolean;
    set valueRowVisible(a: boolean);
    private kr;
    get valueTextWhenMissingData(): string;
    set valueTextWhenMissingData(a: string);
    private fs;
    get valueTextUseSeriesColors(): boolean;
    set valueTextUseSeriesColors(a: boolean);
    private hc;
    get valueTextMarginBottom(): number;
    set valueTextMarginBottom(a: number);
    private hd;
    get valueTextMarginLeft(): number;
    set valueTextMarginLeft(a: number);
    private he;
    get valueTextMarginRight(): number;
    set valueTextMarginRight(a: number);
    private hf;
    get valueTextMarginTop(): number;
    set valueTextMarginTop(a: number);
    private kn;
    get valueTextColor(): string;
    set valueTextColor(a: string);
    private ko;
    get valueTextFontFamily(): string;
    set valueTextFontFamily(a: string);
    private hb;
    get valueTextFontSize(): number;
    set valueTextFontSize(a: number);
    private kp;
    get valueTextFontStyle(): string;
    set valueTextFontStyle(a: string);
    private kq;
    get valueTextFontWeight(): string;
    set valueTextFontWeight(a: string);
    private jc;
    get headerFormatString(): string;
    set headerFormatString(a: string);
    private fd;
    get headerFormatSpecifiers(): FormatSpecifierDescription[];
    set headerFormatSpecifiers(a: FormatSpecifierDescription[]);
    private ja;
    get headerFormatCulture(): string;
    set headerFormatCulture(a: string);
    private jb;
    get headerFormatDate(): string;
    set headerFormatDate(a: string);
    private jd;
    get headerFormatTime(): string;
    set headerFormatTime(a: string);
    private je;
    get headerText(): string;
    set headerText(a: string);
    private jf;
    get headerTextColor(): string;
    set headerTextColor(a: string);
    private ga;
    get headerTextMarginBottom(): number;
    set headerTextMarginBottom(a: number);
    private gb;
    get headerTextMarginLeft(): number;
    set headerTextMarginLeft(a: number);
    private gc;
    get headerTextMarginRight(): number;
    set headerTextMarginRight(a: number);
    private gd;
    get headerTextMarginTop(): number;
    set headerTextMarginTop(a: number);
    private f5;
    get headerRowMarginBottom(): number;
    set headerRowMarginBottom(a: number);
    private f6;
    get headerRowMarginLeft(): number;
    set headerRowMarginLeft(a: number);
    private f7;
    get headerRowMarginRight(): number;
    set headerRowMarginRight(a: number);
    private f8;
    get headerRowMarginTop(): number;
    set headerRowMarginTop(a: number);
    private fn;
    get headerRowVisible(): boolean;
    set headerRowVisible(a: boolean);
    private jg;
    get headerTextFontFamily(): string;
    set headerTextFontFamily(a: string);
    private f9;
    get headerTextFontSize(): number;
    set headerTextFontSize(a: number);
    private jh;
    get headerTextFontStyle(): string;
    set headerTextFontStyle(a: string);
    private ji;
    get headerTextFontWeight(): string;
    set headerTextFontWeight(a: string);
    private ju;
    get summaryTitleTextColor(): string;
    set summaryTitleTextColor(a: string);
    private jv;
    get summaryTitleTextFontFamily(): string;
    set summaryTitleTextFontFamily(a: string);
    private gq;
    get summaryTitleTextFontSize(): number;
    set summaryTitleTextFontSize(a: number);
    private jw;
    get summaryTitleTextFontStyle(): string;
    set summaryTitleTextFontStyle(a: string);
    private jx;
    get summaryTitleTextFontWeight(): string;
    set summaryTitleTextFontWeight(a: string);
    private jy;
    get summaryType(): string;
    set summaryType(a: string);
    private jt;
    get summaryTitleText(): string;
    set summaryTitleText(a: string);
    private gr;
    get summaryTitleTextMarginBottom(): number;
    set summaryTitleTextMarginBottom(a: number);
    private gs;
    get summaryTitleTextMarginLeft(): number;
    set summaryTitleTextMarginLeft(a: number);
    private gt;
    get summaryTitleTextMarginRight(): number;
    set summaryTitleTextMarginRight(a: number);
    private gu;
    get summaryTitleTextMarginTop(): number;
    set summaryTitleTextMarginTop(a: number);
    private gm;
    get summaryRowMarginBottom(): number;
    set summaryRowMarginBottom(a: number);
    private gn;
    get summaryRowMarginLeft(): number;
    set summaryRowMarginLeft(a: number);
    private go;
    get summaryRowMarginRight(): number;
    set summaryRowMarginRight(a: number);
    private gp;
    get summaryRowMarginTop(): number;
    set summaryRowMarginTop(a: number);
    private j4;
    get summaryValueTextColor(): string;
    set summaryValueTextColor(a: string);
    private j5;
    get summaryValueTextFontFamily(): string;
    set summaryValueTextFontFamily(a: string);
    private gw;
    get summaryValueTextFontSize(): number;
    set summaryValueTextFontSize(a: number);
    private j6;
    get summaryValueTextFontStyle(): string;
    set summaryValueTextFontStyle(a: string);
    private j7;
    get summaryValueTextFontWeight(): string;
    set summaryValueTextFontWeight(a: string);
    private jo;
    get summaryLabelText(): string;
    set summaryLabelText(a: string);
    private jp;
    get summaryLabelTextColor(): string;
    set summaryLabelTextColor(a: string);
    private jq;
    get summaryLabelTextFontFamily(): string;
    set summaryLabelTextFontFamily(a: string);
    private gl;
    get summaryLabelTextFontSize(): number;
    set summaryLabelTextFontSize(a: number);
    private jr;
    get summaryLabelTextFontStyle(): string;
    set summaryLabelTextFontStyle(a: string);
    private js;
    get summaryLabelTextFontWeight(): string;
    set summaryLabelTextFontWeight(a: string);
    private jz;
    get summaryUnitsText(): string;
    set summaryUnitsText(a: string);
    private j0;
    get summaryUnitsTextColor(): string;
    set summaryUnitsTextColor(a: string);
    private j1;
    get summaryUnitsTextFontFamily(): string;
    set summaryUnitsTextFontFamily(a: string);
    private gv;
    get summaryUnitsTextFontSize(): number;
    set summaryUnitsTextFontSize(a: number);
    private j2;
    get summaryUnitsTextFontStyle(): string;
    set summaryUnitsTextFontStyle(a: string);
    private j3;
    get summaryUnitsTextFontWeight(): string;
    set summaryUnitsTextFontWeight(a: string);
    private fz;
    get badgeMarginBottom(): number;
    set badgeMarginBottom(a: number);
    private f0;
    get badgeMarginLeft(): number;
    set badgeMarginLeft(a: number);
    private f1;
    get badgeMarginRight(): number;
    set badgeMarginRight(a: number);
    private f2;
    get badgeMarginTop(): number;
    set badgeMarginTop(a: number);
    private i6;
    get badgeShape(): string;
    set badgeShape(a: string);
    private kd;
    get unitsDisplayMode(): string;
    set unitsDisplayMode(a: string);
    private ke;
    get unitsText(): string;
    set unitsText(a: string);
    private kf;
    get unitsTextColor(): string;
    set unitsTextColor(a: string);
    private g3;
    get unitsTextMarginBottom(): number;
    set unitsTextMarginBottom(a: number);
    private g4;
    get unitsTextMarginLeft(): number;
    set unitsTextMarginLeft(a: number);
    private g5;
    get unitsTextMarginRight(): number;
    set unitsTextMarginRight(a: number);
    private g6;
    get unitsTextMarginTop(): number;
    set unitsTextMarginTop(a: number);
    private kg;
    get unitsTextFontFamily(): string;
    set unitsTextFontFamily(a: string);
    private g2;
    get unitsTextFontSize(): number;
    set unitsTextFontSize(a: number);
    private kh;
    get unitsTextFontStyle(): string;
    set unitsTextFontStyle(a: string);
    private ki;
    get unitsTextFontWeight(): string;
    set unitsTextFontWeight(a: string);
    private gy;
    get titleTextMarginBottom(): number;
    set titleTextMarginBottom(a: number);
    private gz;
    get titleTextMarginLeft(): number;
    set titleTextMarginLeft(a: number);
    private g0;
    get titleTextMarginRight(): number;
    set titleTextMarginRight(a: number);
    private g1;
    get titleTextMarginTop(): number;
    set titleTextMarginTop(a: number);
    private j9;
    get titleTextColor(): string;
    set titleTextColor(a: string);
    private ka;
    get titleTextFontFamily(): string;
    set titleTextFontFamily(a: string);
    private gx;
    get titleTextFontSize(): number;
    set titleTextFontSize(a: number);
    private kb;
    get titleTextFontStyle(): string;
    set titleTextFontStyle(a: string);
    private kc;
    get titleTextFontWeight(): string;
    set titleTextFontWeight(a: string);
    private jj;
    get labelDisplayMode(): string;
    set labelDisplayMode(a: string);
    private jk;
    get labelTextColor(): string;
    set labelTextColor(a: string);
    private gf;
    get labelTextMarginBottom(): number;
    set labelTextMarginBottom(a: number);
    private gg;
    get labelTextMarginLeft(): number;
    set labelTextMarginLeft(a: number);
    private gh;
    get labelTextMarginRight(): number;
    set labelTextMarginRight(a: number);
    private gi;
    get labelTextMarginTop(): number;
    set labelTextMarginTop(a: number);
    private jl;
    get labelTextFontFamily(): string;
    set labelTextFontFamily(a: string);
    private ge;
    get labelTextFontSize(): number;
    set labelTextFontSize(a: number);
    private jm;
    get labelTextFontStyle(): string;
    set labelTextFontStyle(a: string);
    private jn;
    get labelTextFontWeight(): string;
    set labelTextFontWeight(a: string);
}
